#
# spec file for package gspell
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define shlib lib%{name}-1-1

Name:           gspell
Version:        1.0.3
Release:        4.1
Summary:        A spell checker library for gtk+ applications
License:        LGPL-2.1+
Group:          Development/Libraries/GNOME
Url:            https://wiki.gnome.org/Projects/gspell
Source:         http://download.gnome.org/sources/gspell/1.0/%{name}-%{version}.tar.xz
BuildRequires:  gtk-doc >= 1.24
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(enchant) >= 1.6.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.44
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 1.42.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.19.11
BuildRequires:  pkgconfig(iso-codes) >= 0.35
BuildRequires:  pkgconfig(vapigen)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
gspell provides a flexible API to implement the spell checking in a GTK+
application.

%package -n %{shlib}
Summary:        Spell checker library for gtk+
Group:          System/Libraries
Provides:       %{name} = %{version}
Recommends:     %{name}-lang

%description -n %{shlib}
gspell provides a flexible API to implement the spell checking in a GTK+
application.

This package provides the shared libraries for gspell.

%package -n typelib-1_0-Gspell-1_0
Summary:        Spell checker library for gtk+ -- Introspection bindings
Group:          System/Libraries

%description -n typelib-1_0-Gspell-1_0
gspell provides a flexible API to implement the spell checking in a GTK+
application.

This package provides the GObject Introspection bindings for gspell.

%package devel
Summary:        Spell checker library for gtk+ -- Development files
Group:          Development/Libraries/GNOME
Requires:       %{shlib} = %{version}
Requires:       typelib-1_0-Gspell-1_0 = %{version}

%description devel
gspell provides a flexible API to implement the spell checking in a GTK+
application.

This package provides the files necessary for developing software using
gspell.

%lang_package
%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} %{?_smp_mflags}
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print
%find_lang %{name}-1 %{?no_lang_C}

%post -n %{shlib} -p /sbin/ldconfig

%postun -n %{shlib} -p /sbin/ldconfig

%files devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog README COPYING NEWS
%doc %{_datadir}/gtk-doc/html/gspell-1.0/
%{_includedir}/gspell-1/
%{_libdir}/lib%{name}-1.so
%{_libdir}/pkgconfig/gspell-1.pc
%{_datadir}/gir-1.0/*.gir
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/gspell-1.*

%files -n %{shlib}
%defattr(-,root,root)
%{_libdir}/lib%{name}-1.so.*

%files -n typelib-1_0-Gspell-1_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/Gspell-1.typelib

%files lang -f %{name}-1.lang

%changelog
* Sun Jul 10 2016 zaitor@opensuse.org
- Update to version 1.0.3:
  + Inline checker: fix constant redrawing of the GtkTextView when
    the current word is not checked (bgo#768306).
  + Updated translations.
* Sat Jun 11 2016 zaitor@opensuse.org
- Update to version 1.0.2:
  + Fix gtk-doc build issue.
  + Updated translations.
* Sun Apr 10 2016 zaitor@opensuse.org
- Update to version 1.0.1:
  + Fix build on win32.
  + Updated translations.
* Sun Mar 20 2016 zaitor@opensuse.org
- Update to version 1.0.0:
  + The API is now stable. Future 1.x stable versions will be
    backward compatible with the 1.0 version.
  + Updated translations.
- Bump soname following upstream changes.
* Mon Mar 14 2016 zaitor@opensuse.org
- Update to version 0.2.6:
  + Fix builddir != srcdir issue (it occurred only in Git, not in
    tarballs normally).
  + Install tests in <...>/installed-tests/gspell-1/ instead of
    gspell/, to follow the parallel installability convention.
- Changes from version 0.2.5:
  + Inline checker: improve current word handling.
  + Support words with apostrophes, like "doesn't".
  + Write more unit tests.
  + Improvements to the build system (use a GSPELL_API_VERSION
    variable).
  + Add missing getter functions.
  + Installed tests support.
  + API changes:
  - Have a GspellTextBuffer class.
  - Rename GspellInlineCheckerTextView -> GspellTextView.
  - The GspellNavigator interface now requires GInitiallyUnowned
    instead of GObject.
  + Updated translations.
* Tue Feb 16 2016 zaitor@opensuse.org
- Update to version 0.2.4:
  + Fix compilation on Mac OS X.
  + Write the first unit tests.
  + Inline checker for GtkTextView:
  - Fix bug with neighbor words.
  - Fix underline drawing issue.
  - Don't check current word while typing.
  + Other code improvements.
  + Updated translations.
* Wed Jan 20 2016 dimstar@opensuse.org
- Update to verstion 0.2.3:
  + GspellLanguage: code improvements, write API documentation and
    add get_default() function.
  + Add gspell_text_buffer_set/get_spell_checker() functions.
  + GspellNavigatorGtv renamed to GspellNavigatorText.
  + Remove GspellNavigatorText:spell-checker property,
  + GspellInlineCheckerGtv replaced by the higher-level class
    GspellInlineCheckerText.
  + Language choosers: accept NULL language to pick the default
    language.
  + Add the GspellLanguageChooser:language-code property, for a
    GSettings key binding.
  + GspellChecker: accept a NULL language in case no dictionaries
    are available.
  + Other code and documentation improvements.
  + Updated translations.
* Tue Dec 15 2015 badshah400@gmail.com
- Update to version 0.2.2:
  + Relicense gspell from GPLv2+ to LGPLv2.1+.
  + Get rid of the libxml2 and GtkSourceView dependencies.
  + Replace the GspellLanguage implementation by the GtkHtml one
    to get rid of the libxml2 dependency and have a code licensed
    under the LGPL.
  + Code improvements to GspellInlineCheckerGtv.
  + API changes:
  - Rename gspell_language_from_key() to
    gspell_language_lookup().
  - Rename gspell_language_to_key() to
    gspell_language_get_code().
  - Rename gspell_language_to_string() to
    gspell_language_get_name().
  - Rename gspell_checker_get_available_languages() to
    gspell_language_get_available() and return a GList instead
    of a GSList.
  - Rename GspellChecker signals:
    + ::add-word-to-personal -> ::word-added-to-personal.
    + ::add-word-to-session -> ::word-added-to-session.
    + ::clear-session -> ::session-cleared.
- Drop pkgconfig(gtksourceview-3.0) and pkgconfig(libxml-2.0)
  BuildRequires, following upstream changes.
- Own the %%{_datadir}/vala/vapi directory, required due to
  dropping of gtksourceview from BuildRequires which owned it
  previously.
* Mon Nov 23 2015 zaitor@opensuse.org
- Update to version 0.2.1:
  + Allow only <gspell/gspell.h> to be #included directly.
  + Make GspellCheckerDialog derivable.
  + Make GspellLanguageChooserDialog derivable.
  + Add a GtkDialogFlags parameter to
    gspell_language_chooser_dialog_new().
  + Add string length parameters to GspellChecker functions.
* Thu Nov 19 2015 zaitor@opensuse.org
- Update to version 0.1.2:
  + gspell has now a bugzilla product on gnome.org.
  + GTK-Doc: rename DOC_MODULE to gspell-1.0, to make the API
    reference available online at:
    https://developer.gnome.org/references
* Sun Nov  8 2015 badshah400@gmail.com
- Initial package.
